; GAMEOVER.ASM
; INSERT COIN TO CONTINUE

game_over:
	call screen_off
	call vid_clear_vram
	call reset_level_graphics
	call load_beeb_font
	ld hl,pal_spr_yr
	ld a,32
	ld b,8
	call vid_load_palette

	xor a
	ld b,max_explosions_terrain*4
	ld hl,explosions_terrain
	call mem_set

	ld hl,explosions_terrain+3
	ld de,4
	ld b,max_explosions_terrain
	xor a

-:	ld (hl),a
	add a,50/max_explosions_terrain
	add hl,de
	djnz -
	

	call screen_on


game_over_loop:
	call reset_sprites
	call draw_explosions_terrain
	call finish_sprites
	call animate_explosions_terrain
	call vid_wait_vblank
	call display_sprites


	
	ld b,160
	call random
	add a,48
	push af
	ld b,144
	call random
	add a,16
	pop bc
	ld c,a


	call add_explosion_terrain

+:

	jr game_over_loop


	ret

game_over_loops:
.dbsin 0,128,360/128,70,0